#!/bin/bash

# Copyright (C) Big-Cat Software Association, 2007.
#
# GILDE project.
# (Graphical Interfaces to Learn Debian Easily)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version. Please read the COPYING file.
#

echo "Generating python bytecodes..."
echo ""
python -c "import compileall; compileall.compile_dir('/usr/share/PyWireless', force=1)"


echo "Checking the system..."
echo ""

if [ -d /etc/network ]; then
if [ -f /etc/network/interfaces ]; then
  echo "/etc/network/interfaces present"

  LOPRESENT=$(cat /etc/network/interfaces | grep "iface lo inet loopback")
  if test "$LOPRESENT"; then
    echo "iface lo inet loopback present"
    else
      echo "auto lo" >> /etc/network/interfaces
      echo "iface lo inet loopback" >> /etc/network/interfaces
      echo "address 127.0.0.1" >> /etc/network/interfaces
      echo "netmask 255.0.0.0" >> /etc/network/interfaces
  fi
else
  echo "# Created by KWireless Tools Pro" > /etc/network/interfaces
  echo "auto lo" >> /etc/network/interfaces
  echo "iface lo inet loopback" >> /etc/network/interfaces
  echo "address 127.0.0.1" >> /etc/network/interfaces
  echo "netmask 255.0.0.0" >> /etc/network/interfaces
fi
fi
